
Infrastructure - Task #3756

Story # 3755 (Closed): Structural changes to D1 APIs for 2.0 release

Modify getLogRecords to allow filter by NodeID

2013-05-09 17:41 - Robert Waltz

Status: Rejected Start date: 2013-05-09

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: CCI-2.0 Story Points:  

Product Version:    

Description

MNs are not able to query for stats only related to their node.  Add in a query parameter for displaying data based on NodeID

History

#1 - 2014-07-10 00:51 - Ben Leinfelder

- Status changed from New to Rejected

- translation missing: en.field_remaining_hours set to 0.0

MNs should not be calling [other, their own?] MN.getLog() methods and, rather, should look for log records on the CN that has aggregated records

from across the network. I agree that whatever is exposing the aggregated log records on the CN should allow filtering those records by nodeId, but

that is not a call to getLog().

#2 - 2014-07-30 03:00 - Robert Waltz

- Assignee changed from Robert Waltz to Ben Leinfelder

- Estimated time set to 0.00

#3 - 2014-10-01 16:51 - Robert Waltz

- Target version set to CCI-2.0.0
